
QGIS Application - Feature request #7234

Copy and paste in the composer should remember position

2013-02-25 08:03 AM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 16262

Description

Hi !

Wouldn't it be nice if copy/pasted elements in the composer would also copy the position ? This way, after carefully position your items,

you could simply copy/paste them from one composition to another.

It would be great if the position would be relative to the page (maybe using the page which is the nearest from the cursor?), so you could

also copy/paste across pages in the same composer.

In some software, there are two distinct actions : "paste" and "paste in place", since sometimes you don't want to paste items in the exact

same place. It could be done also in QGis if we think that providing "paste in place" as only place method isn't enough (IMO only one

paste method is better).

Right now, copying and pasting makes a big mess regarding to item positions as soon as you copy/paste more than one item at a time.

Thanks !!

Olivier

History

#1 - 2013-02-26 06:24 AM - Olivier Dalang

I made a pull request for this :

https://github.com/qgis/Quantum-GIS/pull/441

#2 - 2013-03-21 10:13 AM - Antonio Locandro

That is a neat feature, maybe something like Inkscape does would be great if you can have also the keyboard shortcuts.

#3 - 2013-03-22 08:48 AM - Alessandro Ciali

The actual master update has 2 option to past object previously copyed in layout:

ctrl+v paste object regardless original position

ctrl+shift+v paste object in the original position, in the same layout or in other layout. I verified that this option works fine with multiple selection too.

I tested on win7 64bit and 9afe76d release.
#4 - 2013-03-22 08:58 AM - Antonio Locandro

Confirmed, using Windows 7 on masters nightly build

#5 - 2013-11-19 01:20 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Paste in Place has been in master for some time now - I think it's safe to close this request.
